<?php
// FIXED JAVASCRIPT VARIABLES TO BE PRINTED IN WEBSITE'S HEAD


function nb_head_js() {

	// dates localizations
	$dates_local = array(
		'short_d_names' => '["'. implode('", "', array(
			__('Sun', 'nb_ml'), __('Mon', 'nb_ml'), __('Tue', 'nb_ml'), __('Wed', 'nb_ml'), __('Thu', 'nb_ml'), __('Fri', 'nb_ml'), __('Sat', 'nb_ml')	
		)) .'"]',
		
		'full_d_names' => '["'. implode('", "', array(
			__('Sunday', 'nb_ml'), __('Monday', 'nb_ml'), __('Tuesday', 'nb_ml'), __('Wednesday', 'nb_ml'), __('Thursday', 'nb_ml'), __('Friday', 'nb_ml'), __('Saturday', 'nb_ml')	
		)) .'"]',
		
		'short_m_names' => '["'. implode('", "', array(
			__('Jan', 'nb_ml'), __('Feb', 'nb_ml'), __('Mar', 'nb_ml'), __('Apr', 'nb_ml'), __('May', 'nb_ml'), __('Jun', 'nb_ml'), __('Jul', 'nb_ml'), __('Aug', 'nb_ml'), __('Sep', 'nb_ml'), __('Oct', 'nb_ml'), __('Nov', 'nb_ml'), __('Dec', 'nb_ml')	
		)) .'"]',
		
		'full_m_names' => '["'. implode('", "', array(
			__('January', 'nb_ml'), __('February', 'nb_ml'), __('March', 'nb_ml'), __('April', 'nb_ml'), __('May', 'nb_ml'), __('June', 'nb_ml'), __('July', 'nb_ml'), __('August', 'nb_ml'), __('September', 'nb_ml'), __('October', 'nb_ml'), __('November', 'nb_ml'), __('December', 'nb_ml')
		)) .'"]',
		
		'elapsed_names' => '["'. implode('", "', array(
			__('ago', 'nb_ml'), __('seconds', 'nb_ml'), __('minute', 'nb_ml'), __('minutes', 'nb_ml'), __('hour', 'nb_ml'), __('hours', 'nb_ml'), __('day', 'nb_ml'), __('days', 'nb_ml'), __('week', 'nb_ml'), __('weeks', 'nb_ml'), __('month', 'nb_ml'), __('months', 'nb_ml')
		)) .'"]',
	);
	
	?>
    <script type="text/javascript">
	lcnb_glob_vars = {
		theme 			: '<?php echo (get_option('nb_custom_style')) ? 'wpdt' : get_option('nb_main_style', 'minimal') ?>',
		preloader 		: <?php echo (get_option('nb_preloader', 1)) ? 'true' : 'false' ?>,
		lightbox 		: <?php echo (get_option('nb_lightbox', 1) || get_option('nb_exp_in_lb')) ? 'true' : 'false'; ?>, 
		touchswipe 		: <?php echo (get_option('nb_touchswipe')) ? 'true' : 'false'; ?>,
		min_news_h		: <?php echo (int)get_option('nb_min_news_h', 150) ?>,
		min_news_w 		: <?php echo (int)get_option('nb_min_news_w', 200) ?>,
		min_horiz_w 	: <?php echo (int)get_option('nb_min_horiz_w', 400) ?>,
		read_more_txt 	: <?php echo '"'.str_replace('"', '\"', get_option('nb_read_more_txt', '..')).'"' ?>,
		exp_in_lightbox : <?php echo (get_option('nb_exp_in_lb')) ? 'true' : 'false' ?>,
		exp_lb_w		: '<?php echo (int)get_option('nb_exp_lb_w', 90) ?>%',
		exp_lb_max_w	: <?php echo (int)get_option('nb_exp_lb_max_w', 1000) ?>,
		fb_share_fix	: <?php echo '"'.NB_URL.'/lcis_fb_img_fix.php"' ?>,
		script_basepath : <?php echo '"'.NB_URL.'/js/sb/"' ?>,
		scripts_man_added: true,
		
		short_d_names 	: <?php echo $dates_local['short_d_names'] ?>,
		full_d_names 	: <?php echo $dates_local['full_d_names'] ?>,
		short_m_names 	: <?php echo $dates_local['short_m_names'] ?>,
		full_m_names 	: <?php echo $dates_local['full_m_names'] ?>,
		elapsed_names 	: <?php echo $dates_local['elapsed_names'] ?>,
	};
	<?php 
	
	// custom theme setup
	if(get_option('nb_custom_style') && (get_option('nb_inline_css') || get_option('nb_force_inline_css'))) : 
	?>
	if(typeof(lcnb_loaded_themes) == 'undefined') {lcnb_loaded_themes = new Array();}
	lcnb_loaded_themes.push('wpdt');
	<?php endif; ?>
	</script>
	<?php
}
add_action('wp_head', 'nb_head_js', 999);