<?php 


// options to enable custom post types into boxes
function nb_integrate_cpt($field_id, $field, $value, $all_vals) {
	
	include_once(NB_DIR . '/functions.php');
	$cpt_w_tax = nb_get_cpt_with_tax();
	
	$value = get_option('nb_integrate_cpt', array());
	
	
	// build code
	echo '
	<table id="nb_integrate_cpt_wrap" class="widefat lcwp_settings_table">';
		
		foreach($cpt_w_tax as $slug => $data) {
			echo '
			<tr>
				<td class="lcwp_sf_label">'. $data['name'] .'</td>
				<td class="lcwp_sf_field">
					<select name="nb_integrate_cpt[]" class="lcwp_sf_chosen" data-placeholder="'. __("Select a taxonomy for this custom post type", 'nb_ml') .' .." multiple="multiple" style="width: 90%; max-width: 800px;" autocomplete="off">';
						
						foreach($data['tax'] as $tax_slug => $tax_name) {
							
							$val = $slug.'|||'.$tax_slug;
							$sel = (is_array($value) && in_array($val, $value)) ? 'selected="selected"' : '';
                      		
							echo '<option value="'.$val.'" '.$sel.'>'.$tax_name.'</option>';	
						}
 
			echo '
					</select> 
				</td>
			</tr>';  
		}
	
	echo '</table>';
}




// preset styles preview and setter 
function nb_preset_styles($field_id, $field, $value, $all_vals) {
	
	$styles = array(
		'minimal' 	=> __('Minimal', 'nb_ml'),
		'light' 	=> __('Light', 'nb_ml'),
		'dark' 		=> __('Dark', 'nb_ml'),
	);
	$value = (empty($value)) ? 'minimal' : $value;
	
	
	?>
    <script type="text/javascript">
    jQuery(document).ready(function(e) {
		
		// predefined style - preview toggle
		jQuery(document).delegate('#nb_pred_styles', "change", function() {
			var sel = jQuery('#nb_pred_styles').val();
			var inb_url = '<?php echo NB_URL ?>/img/preset_styles/'+ sel +'.jpg';
			jQuery('#nb_preset_styles_preview').html('<img src="'+ inb_url +'" style="max-width: 600px;" />');		
		});
    });
    </script>
    <?php
	
	// build code
	echo '
	<table id="nb_preset_styles_cmd_wrap" class="widefat lcwp_settings_table">
		<tr class="nb_'. $field_id .'">
			<td class="lcwp_sf_label"><label>'. __('Choose style', 'nb_ml') .'</label></td>
			<td class="lcwp_sf_field">
				<select name="'. $field_id .'" id="nb_pred_styles" class="lcwp_sf_chosen nb_pred_styles_cf_select" autocomplete="off">';
					
					foreach($styles as $id => $name) {
						echo '<option value="'. $id .'" '. selected($value, $id) .'>'. $name .'</option>';	
					}
			echo '
				</select>   
			</td>
			<td></td>
		</tr>
		<tr>
			<td class="lcwp_sf_label"><label>'. __('Preview', 'nb_ml') .'</label></td>
			<td colspan="3" id="nb_preset_styles_preview">
				<img src="'. NB_URL .'/img/preset_styles/'. $value .'.jpg" style="max-width: 600px;" />
			<td>
		</tr>';
}




// elements legend (underneath custom CSS field)
function nb_elems_legend_f($field_id, $field, $value, $all_vals) {
	?>
	<table id="nb_elems_legend_f" class="widefat lcwp_settings_table">	
      <tr>
          <td class="lcwp_sf_label">.lcnb_news</td>
          <td><span class="info">News wrapper</td>
        </tr>
        <tr>
          <td class="lcwp_sf_label">.lcnb_title</td>
          <td><span class="info">News title</span></td>
        </tr>
        <tr>
          <td class="lcwp_sf_label">.lcnb_txt</td>
          <td><span class="info">News text</span></td>
        </tr>
        <tr>
          <td class="lcwp_sf_label">.lcnb_btn_time</td>
          <td><span class="info">Date / "read more" box</span></td>
        </tr>
        <tr>
          <td class="lcwp_sf_label">.lcnb_img_ol</td>
          <td><span class="info">Image's overlay wrapper <em>(overlay is managed through :before and :after)</em></span></td>
        </tr>
        <tr>
          <td class="lcwp_sf_label">.lcnb_prev</td>
          <td><span class="info">Previous news button</span></td>
        </tr>
        <tr>
          <td class="lcwp_sf_label">.lcnb_next</td>
          <td><span class="info">Next news button</span></td>
        </tr>
      </table>
      
      <h3 class="lcwp_settings_sect_title nb_settings_sect_title"><?php _e("Expanded mode - Elements Legend", 'nb_ml'); ?></h3> 
      <table class="widefat lcwp_table">  
        <tr>
          <td class="lcwp_sf_label">.lcnb_exp_block</td>
          <td><span class="info">Expanded news wrapper</span></td>
        </tr>
        <tr>
          <td class="lcwp_sf_label">.lcnb_exp_block .lcnb_title</td>
          <td><span class="info">News title</span></td>
        </tr>
        <tr>
          <td class="lcwp_sf_label">.lcnb_exp_img_wrap</td>
          <td><span class="info">Images wrapper</span></td>
        </tr>
 	</table>
	<?php
}